Skip to main content

Search by Fulltext Query

GET 

/catalog/v1/search/basic

Generally Available

Retrieve data for the specified fulltext query.

Request​

Responses​

On successful fulltext query with some results, might return an empty list if execution succeeded without any results

OpenAPI definition (YAML)
paths:
  /catalog/v1/search/basic:
    get:
      description: '[![Generally Available](https://img.shields.io/badge/Lifecycle%20Stage-Generally%20Available-%2345c6e8)](#section/Versioning/API-Lifecycle-Policy)


        Retrieve data for the specified fulltext query.'
      operationId: searchUsingBasic
      parameters:
      - name: query
        in: query
        description: The full-text query
        schema:
          type: string
      - name: type
        in: query
        description: Limit the result to only entities of specified types
        style: form
        explode: true
        schema:
          type: array
          items:
            type: string
      - name: attr
        in: query
        description: One of more additional attributes to return in the response
        style: form
        explode: true
        schema:
          type: array
          items:
            type: string
      - name: tag
        in: query
        description: Limit the result to only entities tagged with the given tag
        schema:
          type: string
      - name: sortBy
        in: query
        description: An attribute to sort by
        schema:
          type: string
      - name: sortOrder
        in: query
        description: Sort order, either ASCENDING (default) or DESCENDING
        schema:
          type: string
          enum:
          - ASCENDING
          - DESCENDING
      - name: deleted
        in: query
        description: Whether to include deleted entities
        schema:
          type: boolean
      - name: limit
        in: query
        description: Limit the result set to only include the specified number of entries
        schema:
          type: integer
          format: int32
      - name: offset
        in: query
        description: Start offset of the result set (useful for pagination)
        schema:
          type: integer
          format: int32
      tags:
      - Search (v1)
      responses:
        '200':
          description: On successful fulltext query with some results, might return an empty list if execution
            succeeded without any results
          content:
            application/json:
              schema:
                type: object
                properties:
                  searchParameters:
                    type: object
                    description: Search paramas to filter results
                    properties:
                      includeDeleted:
                        type: boolean
                        description: Whether to include deleted
                      limit:
                        type: integer
                        description: The limit
                        format: int32
                      offset:
                        type: integer
                        description: The offset
                        format: int32
                    title: SearchParams
                  types:
                    type: array
                    description: The types
                    items:
                      type: string
                  entities:
                    type: array
                    description: The entities
                    items:
                      type: object
                      properties:
                        typeName:
                          type: string
                          description: The type name
                        attributes:
                          type: object
                          description: The attributes
                          additionalProperties: true
                        guid:
                          type: string
                          description: The internal guid
                        status:
                          type: string
                          description: The status
                          enum:
                          - ACTIVE
                          - DELETED
                          - PURGED
                        displayText:
                          type: string
                          description: The display text
                        classificationNames:
                          type: array
                          description: The classification (tag) names
                          items:
                            type: string
                        classifications:
                          type: array
                          description: The classifications (tags)
                          items:
                            type: object
                            properties:
                              typeName:
                                type: string
                                description: The tag name
                              attributes:
                                type: object
                                description: The tag attributes
                                additionalProperties:
                                  type: object
                              entityGuid:
                                type: string
                                description: The internal entity guid
                              entityStatus:
                                type: string
                                description: The entity status
                                enum:
                                - ACTIVE
                                - DELETED
                                - PURGED
                              propagate:
                                type: boolean
                                description: Whether to propagate the tag
                              validityPeriods:
                                type: array
                                description: The validity periods
                                items:
                                  type: object
                                  properties:
                                    startTime:
                                      type: string
                                      description: The start time of format yyyy/MM/dd HH:mm:ss
                                    endTime:
                                      type: string
                                      description: The end time of format yyyy/MM/dd HH:mm:ss
                                    timeZone:
                                      type: string
                                      description: The time zone (see java.util.TimeZone)
                                  title: TimeBoundary
                              removePropagationsOnEntityDelete:
                                type: boolean
                                description: Whether to remove propagations on entity delete
                            title: Classification
                        meaningNames:
                          type: array
                          description: The meaning names
                          items:
                            type: string
                        meanings:
                          type: array
                          description: The meanings
                          items:
                            type: object
                            properties:
                              termGuid:
                                type: string
                                description: The term guid
                              relationGuid:
                                type: string
                                description: The relation guid
                              description:
                                type: string
                                description: The description
                              displayText:
                                type: string
                                description: The display text
                              expression:
                                type: string
                                description: The expression
                              createdBy:
                                type: string
                                description: The creator
                              steward:
                                type: string
                                description: The steward
                              source:
                                type: string
                                description: The source
                              confidence:
                                type: integer
                                description: The confidence
                                format: int32
                              status:
                                type: string
                                description: The status
                                enum:
                                - DISCOVERED
                                - PROPOSED
                                - IMPORTED
                                - VALIDATED
                                - DEPRECATED
                                - OBSOLETE
                                - OTHER
                            title: TermAssignmentHeader
                        isIncomplete:
                          type: boolean
                          description: Whether is incomplete
                        labels:
                          uniqueItems: true
                          type: array
                          description: The labels
                          items:
                            type: string
                      title: EntityHeader
                  referredEntities:
                    type: object
                    description: The referred entities
                    additionalProperties:
                      type: object
                      properties:
                        typeName:
                          type: string
                          description: The type name
                        attributes:
                          type: object
                          description: The attributes
                          additionalProperties: true
                        guid:
                          type: string
                          description: The internal guid
                        status:
                          type: string
                          description: The status
                          enum:
                          - ACTIVE
                          - DELETED
                          - PURGED
                        displayText:
                          type: string
                          description: The display text
                        classificationNames:
                          type: array
                          description: The classification (tag) names
                          items:
                            type: string
                        classifications:
                          type: array
                          description: The classifications (tags)
                          items:
                            type: object
                            properties:
                              typeName:
                                type: string
                                description: The tag name
                              attributes:
                                type: object
                                description: The tag attributes
                                additionalProperties:
                                  type: object
                              entityGuid:
                                type: string
                                description: The internal entity guid
                              entityStatus:
                                type: string
                                description: The entity status
                                enum:
                                - ACTIVE
                                - DELETED
                                - PURGED
                              propagate:
                                type: boolean
                                description: Whether to propagate the tag
                              validityPeriods:
                                type: array
                                description: The validity periods
                                items:
                                  type: object
                                  properties:
                                    startTime:
                                      type: string
                                      description: The start time of format yyyy/MM/dd HH:mm:ss
                                    endTime:
                                      type: string
                                      description: The end time of format yyyy/MM/dd HH:mm:ss
                                    timeZone:
                                      type: string
                                      description: The time zone (see java.util.TimeZone)
                                  title: TimeBoundary
                              removePropagationsOnEntityDelete:
                                type: boolean
                                description: Whether to remove propagations on entity delete
                            title: Classification
                        meaningNames:
                          type: array
                          description: The meaning names
                          items:
                            type: string
                        meanings:
                          type: array
                          description: The meanings
                          items:
                            type: object
                            properties:
                              termGuid:
                                type: string
                                description: The term guid
                              relationGuid:
                                type: string
                                description: The relation guid
                              description:
                                type: string
                                description: The description
                              displayText:
                                type: string
                                description: The display text
                              expression:
                                type: string
                                description: The expression
                              createdBy:
                                type: string
                                description: The creator
                              steward:
                                type: string
                                description: The steward
                              source:
                                type: string
                                description: The source
                              confidence:
                                type: integer
                                description: The confidence
                                format: int32
                              status:
                                type: string
                                description: The status
                                enum:
                                - DISCOVERED
                                - PROPOSED
                                - IMPORTED
                                - VALIDATED
                                - DEPRECATED
                                - OBSOLETE
                                - OTHER
                            title: TermAssignmentHeader
                        isIncomplete:
                          type: boolean
                          description: Whether is incomplete
                        labels:
                          uniqueItems: true
                          type: array
                          description: The labels
                          items:
                            type: string
                      title: EntityHeader
                title: SearchResult
        '400':
          description: Invalid fulltext or query parameters
        '429':
          description: Rate Limit Error
        '500':
          description: Internal Server Error
      servers:
      - url: https://psrc-00000.region.provider.confluent.cloud
        description: Confluent Cloud Schema Registry Endpoint. For example https://psrc-00000.region.provider.confluent.cloud